# TdApi.SetPollAnswer (tdlight API 3.3.160 API)
declaration: package: it.tdlight.jni, class: TdApi, class: SetPollAnswer

Package it.tdlight.jni

# Class TdApi.SetPollAnswer

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function
it.tdlight.jni.TdApi.SetPollAnswer

Enclosing class:
  TdApi

    public static class TdApi.SetPollAnswer
    extends TdApi.Function

Changes the user answer to a poll. A poll in quiz mode can be answered only once.

Returns `Ok`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`long` | `chatId` | Identifier of the chat to which the poll belongs.
`static int` | `CONSTRUCTOR` |
`long` | `messageId` | Identifier of the message containing the poll.
`int[]` | `optionIds` | 0-based identifiers of answer options, chosen by the user.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`SetPollAnswer()` | Changes the user answer to a poll.
`SetPollAnswer​(long chatId, long messageId, int[] optionIds)` | Changes the user answer to a poll.
`SetPollAnswer​(DataInput input)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`boolean` | `equals​(Object o)` |
`int` | `getConstructor()` |
`int` | `hashCode()` |
`void` | `serialize​(DataOutput output)` |

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Identifier of the chat to which the poll belongs.

### messageId

public long messageId
Identifier of the message containing the poll.

### optionIds

public int[] optionIds
0-based identifiers of answer options, chosen by the user. User can choose more than 1 answer option only is the poll allows multiple answers.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  Constant Field Values

## Constructor Details

### SetPollAnswer

public SetPollAnswer()
Changes the user answer to a poll. A poll in quiz mode can be answered only once.

Returns `Ok`

### SetPollAnswer

public SetPollAnswer​(long chatId, long messageId, int[] optionIds)
Changes the user answer to a poll. A poll in quiz mode can be answered only once.

Returns `Ok`

Parameters:
  `chatId` - long Identifier of the chat to which the poll belongs.
  `messageId` - long Identifier of the message containing the poll.
  `optionIds` - int[] 0-based identifiers of answer options, chosen by the user. User can choose more than 1 answer option only is the poll allows multiple answers.

### SetPollAnswer

public SetPollAnswer​(DataInput input) throws IOException

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize​(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals​(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`